> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Beneficiary Details v2

> Retrieve detailed information for a specific beneficiary. Returns structured data for bank accounts, e-wallets, and external crypto wallet destinations.



## OpenAPI

````yaml GET /v2/beneficiaries/details
openapi: 3.1.0
info:
  title: Fin.com API
  version: 1.0.0
  description: A simple API specification
servers:
  - url: https://sandbox.api.fin.com
    description: Sandbox server
  - url: https://api.fin.com
    description: Production server
security: []
tags:
  - name: Authentication
    description: A modified OAuth 2.0 Client Credential Flow
  - name: Customers
    description: Customer management and document upload operations
  - name: Balances
    description: Retrieve wallet balance information
  - name: Catalogue
    description: |
      A set of endpoints to retrieve contextual data to assemble requests
      to fin.com's API
  - name: Beneficiaries
    description: Manage beneficiary accounts for payments and transfers
  - name: Transactions
    description: Transaction history and management for beneficiaries
  - name: Virtual Accounts
    description: Create and manage virtual accounts for USD to USDC conversions
  - name: Fees & FX Rates
    description: Retrieve fees and foreign exchange rates
paths:
  /v2/beneficiaries/details:
    get:
      tags:
        - Beneficiaries
      summary: Fetch Beneficiary Details v2
      description: >-
        Retrieve detailed information for a specific beneficiary. Returns
        structured data for bank accounts, e-wallets, and external crypto wallet
        destinations.
      parameters:
        - name: customer_id
          in: query
          required: true
          schema:
            type: string
            format: uuid
          example: 31526861-ebe0-4f84-a7b2-2c3ec1cc47f9
        - name: beneficiary_id
          in: query
          required: true
          schema:
            type: string
            format: uuid
          example: 4c0c63db-580f-4e16-af24-e84ea8937dd8
      responses:
        '200':
          description: Beneficiary details retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                        example: 4c0c63db-580f-4e16-af24-e84ea8937dd8
                      customer_id:
                        type: string
                        format: uuid
                        example: 31526861-ebe0-4f84-a7b2-2c3ec1cc47f9
                      active:
                        type: boolean
                        example: true
                      status:
                        type: string
                        enum:
                          - INITIATED
                          - PROCESSING
                          - ACTIVE
                          - INACTIVE
                          - REJECTED
                        example: ACTIVE
                      counter_party:
                        type: string
                        enum:
                          - FIRST_PARTY
                          - THIRD_PARTY
                        example: FIRST_PARTY
                      currency:
                        type: string
                        example: AUD
                      country:
                        type: string
                        example: AUS
                      account_holder:
                        type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - INDIVIDUAL
                              - BUSINESS
                            example: INDIVIDUAL
                          first_name:
                            type: string
                            example: John
                          last_name:
                            type: string
                            example: Doe
                          business_name:
                            type: string
                          email:
                            type: string
                            format: email
                            example: john.doe@example.com
                          phone:
                            type: string
                            example: '+61412345678'
                      bank_account:
                        type: object
                        properties:
                          bank_name:
                            type: string
                            example: Commonwealth Bank of Australia
                          number:
                            type: string
                            example: '123456782'
                          scheme:
                            type: string
                            example: LOCAL
                          type:
                            type: string
                            enum:
                              - BANK
                              - E_WALLET
                            example: BANK
                      bank_routing:
                        type: array
                        items:
                          type: object
                          properties:
                            scheme:
                              type: string
                              example: BANK_IDENTIFIER
                            name:
                              type: string
                              example: AUS BANK
                      receiver_meta_data:
                        type: object
                        properties:
                          transaction_purpose_id:
                            type: integer
                            example: 1
                          transaction_purpose_remarks:
                            type: string
                            example: Send to Family & Friends
                          occupation_id:
                            type: integer
                            example: 504
                          occupation_remarks:
                            type: string
                            example: Software quality assurance analyst and tester
                          relationship:
                            type: string
                            example: FAMILY_MEMBER
                          relationship_remarks:
                            type: string
                            example: Family & Friends
                          nationality:
                            type: string
                            example: AUS
                      bank_address:
                        type: object
                        properties:
                          street_line_1:
                            type: string
                            example: Ground Floor Tower 1, 201 Sussex Street
                          city:
                            type: string
                            example: Sydney
                          state:
                            type: string
                            description: >-
                              State or province. Required. Must be an ISO 3166-2
                              subdivision code (e.g. US-CA, BD-13).
                            example: AU-SA
                          postcode:
                            type: string
                            example: '2000'
                          country:
                            type: string
                            example: AUS
                      account_holder_address:
                        type: object
                        properties:
                          street_line_1:
                            type: string
                            example: 42 Wallaby Way
                          city:
                            type: string
                            example: Queensland
                          state:
                            type: string
                            description: >-
                              State or province. Required. Must be an ISO 3166-2
                              subdivision code (e.g. US-CA, BD-13).
                            example: AU-SA
                          postcode:
                            type: string
                            example: '2000'
                          country:
                            type: string
                            example: AUS
                      developer_fee:
                        type: object
                        properties:
                          fixed:
                            type: number
                            example: 1.25
                          percentage:
                            type: number
                            example: 0.45
                      deposit_instruction:
                        type: object
                        properties:
                          currency:
                            type: string
                            example: USDC
                          rail:
                            type: string
                            example: POLYGON
                          liquidation_address:
                            type: string
                            example: '0xc0470baa27e383a570226298f598fac0612f1143'
                      refund_instruction:
                        type: object
                        properties:
                          wallet_address:
                            type: string
                            example: '0x1b577931C1cC2765024bFbafad97bCe14FF2e87F'
                          currency:
                            type: string
                            example: USDC
                          rail:
                            type: string
                            example: POLYGON
                      e_wallet:
                        type: object
                        nullable: true
                        properties:
                          scheme:
                            type: string
                            example: BKASH
                          number:
                            type: string
                            example: '+8801688502814'
                      settlement_config:
                        type: object
                        properties:
                          auto_settlement:
                            type: boolean
                            example: false
                      destination_wallet:
                        type: object
                        nullable: true
                        properties:
                          address:
                            type: string
                            example: '0xD2Ba7d0DaBd36498df5906fC7B054Fa9EfA9843E'
                          currency:
                            type: string
                            example: USDC
                          rail:
                            type: string
                            example: POLYGON
                      created_at:
                        type: string
                        format: date-time
                        example: '2025-12-31T14:29:07.100041Z'
                      updated_at:
                        type: string
                        format: date-time
                        example: '2025-12-31T14:29:08.675022Z'
              examples:
                Bank / Ewallet:
                  summary: Bank or e-wallet beneficiary
                  value:
                    data:
                      id: 4c0c63db-580f-4e16-af24-e84ea8937dd8
                      customer_id: 31526861-ebe0-4f84-a7b2-2c3ec1cc47f9
                      active: true
                      status: ACTIVE
                      counter_party: FIRST_PARTY
                      currency: AUD
                      country: AUS
                      account_holder:
                        type: INDIVIDUAL
                        first_name: John
                        last_name: Doe
                        email: john.doe@example.com
                        phone: '+61412345678'
                      bank_account:
                        bank_name: Commonwealth Bank of Australia
                        number: '123456782'
                        scheme: LOCAL
                        type: BANK
                      bank_routing:
                        - scheme: BANK_IDENTIFIER
                          name: AUS BANK
                      receiver_meta_data:
                        transaction_purpose_id: 1
                        transaction_purpose_remarks: Send to Family & Friends
                        occupation_id: 504
                        occupation_remarks: Software quality assurance analyst and tester
                        relationship: FAMILY_MEMBER
                        relationship_remarks: Family & Friends
                        nationality: AUS
                      bank_address:
                        street_line_1: Ground Floor Tower 1, 201 Sussex Street
                        city: Sydney
                        state: AU-SA
                        postcode: '2000'
                        country: AUS
                      account_holder_address:
                        street_line_1: 42 Wallaby Way
                        city: Queensland
                        state: AU-SA
                        postcode: '2000'
                        country: AUS
                      developer_fee:
                        fixed: 1.25
                        percentage: 0.45
                      deposit_instruction:
                        currency: USDC
                        rail: POLYGON
                        liquidation_address: '0xc0470baa27e383a570226298f598fac0612f1143'
                      refund_instruction:
                        wallet_address: '0x1b577931C1cC2765024bFbafad97bCe14FF2e87F'
                        currency: USDC
                        rail: POLYGON
                      e_wallet: null
                      settlement_config:
                        auto_settlement: false
                      destination_wallet: null
                      created_at: '2025-12-31T14:29:07.100041Z'
                      updated_at: '2025-12-31T14:29:08.675022Z'
                External Crypto Wallet:
                  summary: External crypto wallet beneficiary
                  value:
                    data:
                      id: 6af8d598-36a5-477d-9320-d7c5ba309107
                      customer_id: 1a8e3bdc-05c9-4486-bdef-93464d24c9af
                      active: true
                      status: ACTIVE
                      counter_party: THIRD_PARTY
                      currency: USDC
                      country: BGD
                      account_holder:
                        type: INDIVIDUAL
                        first_name: Daphne
                        last_name: Elliot
                        email: abc.cdc@gmail.com
                        phone: '+8801912244626'
                      bank_account:
                        bank_name: ''
                        number: ''
                        scheme: ''
                        type: ''
                      bank_routing: null
                      receiver_meta_data:
                        transaction_purpose_id: 7
                        transaction_purpose_remarks: Send to Family and Friends
                        occupation_id: 8
                        relationship: FAMILY_MEMBER
                        relationship_remarks: Family and Friends
                        nationality: BGD
                      bank_address: null
                      account_holder_address:
                        street_line_1: 42 Dhanmondi Road
                        city: Dhaka
                        state: BD-13
                        postcode: '1212'
                        country: BGD
                      developer_fee:
                        fixed: 0.01
                        percentage: 0.01
                      deposit_instruction:
                        currency: ''
                        rail: ''
                        liquidation_address: ''
                      refund_instruction:
                        wallet_address: ''
                        currency: ''
                        rail: ''
                      e_wallet: null
                      settlement_config:
                        auto_settlement: false
                      destination_wallet:
                        address: '0xD2Ba7d0DaBd36498df5906fC7B054Fa9EfA9843E'
                        currency: USDC
                        rail: POLYGON
                      created_at: '2026-04-25T15:49:24.56855Z'
                      updated_at: '2026-04-25T15:49:24.56855Z'
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '404':
          $ref: '#/components/responses/NotFoundError'
      security:
        - bearerAuth: []
components:
  responses:
    AuthenticationError:
      description: Authentication failed due to invalid credentials
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Authentication failed
    NotFoundError:
      description: Resource not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Resource not found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer token authentication. Obtain token from [Issue a
        Token](https://developer.fin.com/api-reference/authentication/issue-a-token)
        endpoint

````